__alpm_list_t(3)

NAME
__alpm_list_t - Linked list type used by libalpm.

SYNOPSIS

#include <alpm_list.h>

  Data Fields
void * data
data held by the list node
struct __alpm_list_t * prev
pointer to the previous node
struct __alpm_list_t * next
pointer to the next node

Detailed Description

Linked list type used by libalpm. It is exposed so front ends can use it to prevent the need to reimplement lists of their own; however, it is not required that the front end uses it.

Field Documentation

  void* __alpm_list_t::data

data held by the list node

Referenced by alpm_checkdeps(), alpm_find_group_pkgs(), alpm_list_add_sorted(), alpm_list_append(), alpm_list_copy(), alpm_list_copy_data(), alpm_list_diff_sorted(), alpm_list_find(), alpm_list_free_inner(), alpm_list_mmerge(), alpm_list_remove(), alpm_list_remove_dupes(), alpm_list_reverse(), alpm_list_strdup(), alpm_pkg_find(), and alpm_pkg_should_ignore().

  struct __alpm_list_t* __alpm_list_t::next

pointer to the next node

Referenced by alpm_checkdeps(), alpm_find_group_pkgs(), alpm_list_add_sorted(), alpm_list_append(), alpm_list_copy(), alpm_list_copy_data(), alpm_list_count(), alpm_list_diff_sorted(), alpm_list_find(), alpm_list_free(), alpm_list_free_inner(), alpm_list_join(), alpm_list_mmerge(), alpm_list_msort(), alpm_list_next(), alpm_list_nth(), alpm_list_previous(), alpm_list_remove(), alpm_list_remove_dupes(), alpm_list_remove_item(), alpm_list_strdup(), alpm_list_to_array(), alpm_pkg_find(), and alpm_pkg_should_ignore().

  struct __alpm_list_t* __alpm_list_t::prev

pointer to the previous node

Referenced by alpm_list_add_sorted(), alpm_list_append(), alpm_list_join(), alpm_list_last(), alpm_list_mmerge(), alpm_list_msort(), alpm_list_previous(), alpm_list_remove_item(), and alpm_list_reverse().

Author

Generated automatically by Doxygen for libalpm from the source code.